## visad.data
Class FunctionFormFamily.FileFunction

    java.lang.Object
      visad.data.FunctionFormFamily.FormFunction
          visad.data.FunctionFormFamily.FileFunction

Direct Known Subclasses:
  FunctionFormFamily.AddForm, FunctionFormFamily.OpenStringForm, FunctionFormFamily.SaveForm

Enclosing class:
  FunctionFormFamily

abstract class FunctionFormFamily.FileFunction
extends FunctionFormFamily.FormFunction

Perform an operation on a local file object using the first valid Form.

Field Summary
`(package private) String` `name`

Constructor Summary
`FunctionFormFamily.FileFunction()`

Method Summary
`(package private) boolean` `check(FormFileInformer node)` Return 'true' if this object's name applies to the given node.
`(package private) abstract boolean` `function(FormNode node)` The operation to be performed on the object.
`(package private) InputStream` `getStream()` Return an InputStream for the object.
`boolean` `run()` Perform an operation on an object using the first valid Form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    String name

Constructor Detail

### FunctionFormFamily.FileFunction

    public FunctionFormFamily.FileFunction()

Method Detail

### check

    boolean check(FormFileInformer node)

  Description copied from class: `FunctionFormFamily.FormFunction`
  Return 'true' if this object's name applies to the given node.

  Specified by:
    `check` in class `FunctionFormFamily.FormFunction`

### getStream

    InputStream getStream()
                    throws IOException

  Description copied from class: `FunctionFormFamily.FormFunction`
  Return an InputStream for the object. Used to read in the first block of the object.

  Specified by:
    `getStream` in class `FunctionFormFamily.FormFunction`
  Throws:
    `IOException`

### function

    abstract boolean function(FormNode node)

  The operation to be performed on the object.

### run

    public boolean run()
                throws IOException

  Perform an operation on an object using the first valid Form. If a Form successfully performs the operation, return 'true'.

  Throws:
    `IOException`